gnutls_crypto_single_cipher_register2(3)

NAME
gnutls_crypto_single_cipher_register2 - register a cipher algorithm

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_crypto_single_cipher_register2(gnutls_cipher_algorithm_t algorithm, int priority, int version, gnutls_crypto_single_cipher_st * s);

ARGUMENTS

gnutls_cipher_algorithm_t algorithm
    is the gnutls algorithm identifier

int priority
    is the priority of the algorithm

int version
    should be set to GNUTLS_CRYPTO_API_VERSION

gnutls_crypto_single_cipher_st * s
    is a structure holding new cipher's data

DESCRIPTION
This function will register a cipher algorithm to be used by gnutls. Any algorithm registered will override the included algorithms and by convention kernel implemented algorithms have priority of 90. The algorithm with the lowest priority will be used by gnutls. This function should be called before gnutls_global_init(). For simplicity you can use the convenience gnutls_crypto_single_cipher_register() macro.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise an error.

SINCE
2.6.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.